/**
 *  Regular expression to match all IANA top-level domains.
 *
 *  List accurate as of 2015/11/24.  List taken from:
 *  http://data.iana.org/TLD/tlds-alpha-by-domain.txt
 *  This pattern is auto-generated by frameworks/ex/common/tools/make-iana-tld-pattern.py
 *
 *  @hide
 */
export declare const IANA_TOP_LEVEL_DOMAINS: string;
export declare const IP_ADDRESS_STRING: string;
export declare const DOMAIN_NAME: RegExp;
/**
 *  Regular expression pattern to match most part of RFC 3987
 *  Internationalized URLs, aka IRIs.
 */
export declare const WEB_URL: RegExp;
/**
 * Regular expression pattern to match IRIs. If a string starts with http(s):// the expression
 * tries to match the URL structure with a relaxed rule for TLDs. If the string does not start
 * with http(s):// the TLDs are expected to be one of the known TLDs.
 *
 * @hide
 */
export declare const AUTOLINK_WEB_URL: RegExp;
/**
 * Regular expression pattern to match email addresses. It excludes double quoted local parts
 * and the special characters #&~!^`{}/=$*?| that are included in RFC5321.
 * @hide
 */
export declare const AUTOLINK_EMAIL_ADDRESS: RegExp;
export declare const EMAIL_ADDRESS: RegExp;
/**
 * This pattern is intended for searching for things that look like they
 * might be phone numbers in arbitrary text, not for validating whether
 * something is in fact a phone number.  It will miss many things that
 * are legitimate phone numbers.
 *
 * <p> The pattern matches the following:
 * <ul>
 * <li>Optionally, a + sign followed immediately by one or more digits. Spaces, dots, or dashes
 * may follow.
 * <li>Optionally, sets of digits in parentheses, separated by spaces, dots, or dashes.
 * <li>A string starting and ending with a digit, containing digits, spaces, dots, and/or dashes.
 * </ul>
 */
export declare const PHONE: RegExp;
export declare function digitsAndPlusOnly(matches: RegExpExecArray): string;
